DICOMTONIFTI(1)

NAME
dicomtonifti - manual page for dicomtonifti 0.4.2

DESCRIPTION
dicomtonifti 0.4.2 (HEAD , 20 Mar 2014, 20:37:31) usage: dicomtonifti -o file.nii file1.dcm [file2.dcm ...]

    dicomtonifti -o directory --batch file1.dcm [file2.dcm ...]

  options:

-o <output.nii[.gz]>
    The output file (or directory, if --batch).

-z --compress
    Compress output files.

-r --recurse
    Recurse into subdirectories.

-b --batch
    Do multiple series at once.

-s --silent
    Do not echo output filenames.

-v --verbose
    Verbose error reporting.

-L --follow-symlinks
    Follow symbolic links when recursing.

--fsl
    Reformat the image for use in FSL.

--reformat-to-axial
    Reformat the image into axial orientation.

--no-slice-reordering
    Never reorder the slices.

--no-row-reordering
    Never reorder the rows.

--no-column-reordering
    Never reorder the columns.

--no-reordering
    Never reorder slices, rows, or columns.

--no-qform
    Don't include a qform in the NIFTI file.

--no-sform
    Don't include an sform in the NIFTI file.

--version
    Print the version and exit.

--help
    Documentation for dicomtonifti.

This program will convert a DICOM series into a NIfTI file.

It reads the DICOM Position and Orientation metadata, and uses this information to generate qform and sform entries for the NIfTI header, after doing a conversion from the DICOM coordinate system to the NIfTI coordinate system.

By default, it will also reorder the columns of the image so that columns with higher indices are further to the patient's right (or in the case of sagittal images, further anterior). Likewise, rows will be rearranged so that rows with higher indices are superior (or anterior for axial images). Finally, it will reorder the slices so that the column direction, row direction, and slice direction follow the right-hand rule.

It is also possible to reformat the images into the axial orientation via the --reformat-to-axial option This option is mutually exclusive with the no-reordering options. The resulting orientation matrix will be the identity matrix.

If the output NIFTI files are to be used with the FMRIB FSL package, then use the --fsl option to reformat the images to match the standard FSL orientation: axial images with the slices arranged from inferior to superior, column number increasing from right to left, and row number increasing from posterior to anterior. This will also convert the data type from unsigned 16-bit to signed 16-bit if necessary.

If batch mode is enabled, then the filenames will automatically be generated from the series description in the DICOM meta data: "PatientName/StudyDescription-ID/SeriesDescription_N.nii.gz".

Here is an example of batch mode that recurses into subdirectories and compresses the output files, putting the results in the current directory:

dicomtonifti -brz -o . /path/to/dicom/files

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.